aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Nochlin <hundredwatt@users.noreply.github.com>2024-01-10 07:15:15 -0700
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-10 15:26:19 +0100
commit7c81bfec70287f586c35ead2ad15e4ab614fd9fc (patch)
tree33e1e0634278bceb5d97bef43c0b3e7de548848e
parent7def69eee7eb5f6167dc1046617a22a085709dfa (diff)
grep returns exit code 1 when no match, `|| true` prevents the script from exiting early
-rwxr-xr-xevaluate2.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/evaluate2.sh b/evaluate2.sh
index 30097ca..bd91cdf 100755
--- a/evaluate2.sh
+++ b/evaluate2.sh
@@ -71,9 +71,10 @@ for fork in "$@"; do
echo "+ sdk install java $version"
sdk install java $version
fi
- done
+ done || true # grep returns exit code 1 when no match, `|| true` prevents the script from exiting early
fi
done
+echo "SUCCESS"
## END - SDKMAN Setup
# Check if SMT is enabled (we want it disabled)